use crate::{stock::Stock, user::User};
use serde::Serialize;
use uuid::Uuid;

#[derive(Serialize)]
#[serde(rename_all = "snake_case")]
pub enum ServerResponse {
    /// Generic success
    Success,
    NewApiKey(Uuid),
    UserError(UserError),
    StockInfo(Stock),
    UserInfo(User),
}

#[derive(Serialize)]
pub enum UserError {
    InvalidUsername,
    InvalidPassword,
    InvalidApiKey,
    NotAuthorized,
    NotEnoughOwnedStock(usize),
}
